<?
class Arr {


	static function flatten($array, $preserve_keys = true, &$output = array()) {
		foreach ($array as $key => $child) {
			if (is_array($child)) {
				$output =& self::flatten($child, $preserve_keys, $output);
			} elseif ( ($preserve_keys + is_string($key)) > 1 ) {
				$output[$key] = $child;
			} else {
				$output[] = $child;
			}
		}
		return $output;
	}


	static function pad_case($array, &$output = array()) {
		foreach ($array as $value) {
			$output[] = strtolower($value);
			$output[] = strtoupper($value);
			$output[] = ucfirst($value);
		}
		return $output;
	}


}
