<?
class CLI {


	static function parse_cl($cl = null) {
		$args = $vars = $flags = array();

		if (is_null($cl)) {
			global $argv;
			if (isset($argv)) $cl = array_slice($argv, 1);
			else $cl = array();
		} elseif (!is_array($cl)) $cl = preg_split('/\s+/', $cl);

		foreach ($cl as $cl_i => $cl_arg) {
			if (substr($cl_arg, 0, 1) !== '-') $args[] = $cl_arg;
			elseif (!strrpos($cl_arg, '=')) $flags = array_merge($flags, str_split(preg_replace('/^-+/', '', $cl_arg)));
			elseif (preg_match('/^-+([^=]+)=(.*)/', $cl_arg, $arg_parts)) $arg[$arg_parts[1]] = $arg_parts[2];
		}

		return compact('args', 'vars', 'flags');
	}


}
