<?
class Err_Core extends Err {

	protected $context;

	function __construct($exception) {
		global $gDebug;
		if (isset($gDebug) and $gDebug) {
			var_dump($exception); exit;
			$message = $exception->getMessage();
			if (preg_match('/[а-яА-Я]/', $message)) $message = iconv('WINDOWS-1251', 'UTF-8//IGNORE', $message);
			?><style>
				.exception { float: left; background: #efefef; border: 2px black outset; padding: 5px; }
				.exception h1 { font: bold 12px monospace; margin: 5px 0; color: black; padding: 0; float: none; clear: both; }
				.exception h1 strong { text-decoration: underline; }
				.exception h2 { font: normal 10px monospace; color: black; margin: 10px 0 0 0; padding: 0; float: none; clear: both; }
				.exception h2 strong { font-weight: bold; color: black; }
				.exception .clickable { text-decoration: underline; }
				.exception pre { color: black; }
			</style><?
 			?><div class="exception"><?
				?><h1><?=__CLASS__?> #<?=$exception->getCode()?>: <?=$message?></h1><?
				?><h2><strong>File:</strong> <?=htmlspecialchars($exception->file)?> (line <?=$exception->line?>)</h2><?
	 			?><h2><strong>Trace</strong></h2><?
	 			?><pre><?=$exception->getTraceAsString()?></pre><?
	 			?><h2 class="clickable" onclick="this.nextSibling.style.display= this.nextSibling.style.display ? '' : 'none'"><strong>Extended Trace</strong></h2><?
	 			?><pre style="display: none;"><?=print_r($exception->getTrace())?></pre><?
	 			if ($this->context) {
	 				?><h2 class="clickable" onclick="this.nextSibling.style.display= this.nextSibling.style.display ? '' : 'none'"><strong>Context</strong></h2><?
		 			?><pre style="display: none;"><?=print_r($this->context)?></pre><?
	 			}
	 			if (strpos($message, 'include') !== false) {
	 				?><h2 class="clickable" onclick="this.nextSibling.style.display= this.nextSibling.style.display ? '' : 'none'"><strong>Included Paths</strong></h2><?
		 			?><pre style="display: none;"><?=print_r(explode(':', get_include_path()))?></pre><?
	 			}
			?></div><?
		} else { ?><p><strong>Error: <?=$exception->getMessage()?></strong></p><? }
		exit;
	}

}





