<?
class FS {


	static function XBT($update_dir, $probe) {
		$entries = array();
		$scale = 0;
		$probe = '*.{'.(is_array($probe) ? implode(',', $probe) : $probe).'}';
		while (empty($entries)) {
			$scale++;
			if ($scale > 100) {
				$scale = false;
				break;
			}
			$entries = glob($update_dir.DS.implode(array_fill(0, $scale, '*'.DS)).$probe, GLOB_BRACE);
		}
		return $scale;
	}


	static function recurse($path, $sublevel) {
		$sublevel--;
		if (substr($path, -1, 1) !== DS) $path .= DS;
		$entries = array();
		$subtrees = opendir($path);
		while ($subitem = readdir($subtrees)) {
			if (substr($subitem, 0, 1) === '.') continue;
 			$subitem = $path.$subitem;
			if (is_dir($subitem) and $sublevel) $entries = array_merge($entries, self::recurse($subitem, $sublevel));
			else $entries[] = $subitem;
		}
		return $entries;
	}


	static function ini_update($file, $values, $original = null) {
		$cfg = file_get_contents($file);
		$keys = !is_null($original) ? array_keys($original) : array_keys($values);
		foreach ($keys as $key_name) if (isset($values[$key_name])) {
			if (!is_null($original)) $value_bak = $original[$key_name];
			else $value_bak = null;
			if ($values[$key_name] != $value_bak) $cfg = preg_replace('/(\v)(\h*'.preg_quote($key_name, '/').')\h*=\h*'.(!is_null($value_bak) ? preg_quote($value_bak, '/') : '.*').'\h*(\v)/u', '$1$2 = '.String::uEncode($values[$key_name]).'$3', $cfg);
		}
		file_put_contents($file, $cfg);
	}


}
