<?
class Sub {


	static function video($new_video = null) {
		static $video;
		if (!is_null($new_video)) $video = $new_video;
		return $video;
	}


	static function compare($sub_1, $sub_2) {
		return ( self::relevance($sub_1) - self::relevance($sub_2) );
	}


	static function relevance($sub) {
		$video = self::video();

		$part_match = ( (preg_match('/\b\d+\b/', $sub, $dig_sub) and preg_match('/\b\d+\b/', $video, $dig_video)) and ((int) $dig_sub[0] === (int) $dig_video[0]) ) * 2;

		$lang_match_ru = (stripos($sub, 'rus') !== false);
		if (!$lang_match_ru) $lang_match_ru = (stripos($sub, 'ru') !== false) / 2;
		$lang_match_en = (stripos($sub, 'eng') !== false);
		if (!$lang_match_en) $lang_match_en = (stripos($sub, 'en') !== false) / 2;
		$lang_match = $lang_match_ru - $lang_match_en;

		return ($part_match + $lang_match);
	}


	static function match($video, $sub) {
		return levenshtein(basename($video), basename($sub));
	}


}
