<?

// init level 1
define('DS', DIRECTORY_SEPARATOR);
define('PS', PATH_SEPARATOR);
define('CS', '_');
define('TS', '_');

if (!array_key_exists('HTTP_HOST', $_SERVER)) $_SERVER['HTTP_HOST'] = 'someportal.com';

date_default_timezone_set('Asia/Yekaterinburg');
setlocale(LC_ALL, 'ru_RU.UTF8', 'ru_RU.CP1251');
mb_internal_encoding('UTF-8');
mb_http_output('UTF-8');

// init level 2
$gDirWeb = getcwd();
$gDirCore = dirname(__FILE__);

$gDirLib = $gDirCore.DS.'lib';
$gDirProto = $gDirLib.DS.'Proto';

$gCfg_file = $gDirCore.DS.'config.ini';
$gCfg = parse_ini_file($gCfg_file, true);
$gDebug = !empty($gCfg['core']['debug']);

// init level 3
function __autoload($class_name) {
	//~ echo "Loading: $class_name...";
	$class = explode(CS, $class_name);

	$containers[] = $class_name.'.php';
	$containers[] = implode(DS, $class).'.php';
	$containers[] = implode(DS, $class).DS.end($class).'.php';
	$containers = array_unique($containers);

	$php_errormsg = true;

	foreach ($containers as $container) {
		if (!$php_errormsg) break;
		else $php_errormsg = null;
		@include_once($container);
	}

	if ($php_errormsg) echo "Container file for class '$class_name' not found";
	elseif (!class_exists($class_name)) echo "Class '$class_name' not found";
	//~ if ($php_errormsg) throw new Err_Implementation("Container file for class '$class_name' not found");
	//~ elseif (!class_exists($class_name)) throw new Err_Implementation("Class '$class_name' not found");
	//~ echo " OK\n";
}

function extend($path) {
	$path = array_unique(array_merge(array($path), explode(PS, get_include_path())));
	set_include_path(implode(PS, $path));
}

// init level 4
extend($gDirLib);
extend($gDirProto);

if (isset($gCfg['php']) and !empty($gCfg['php'])) foreach($gCfg['php'] as $var => $val) ini_set($var, $val);
$gErr = Err::get();

// operational state
