<?
class DB extends PDO {

	const NULL = null;
	const NUMERIC = 'numeric';
	const STRING = 'string';
	const SKIP = 'skip';
	const ERR_EXISTS = 23000;


	static function get($cfg = null, $socket = null) {
		static $main, $ext = array();

		if (!$socket) $instance = $main;
		else $instance = isset($ext[$socket]) ? $ext[$socket] : null;

		if (!$instance) {
			if (is_null($cfg)) {
				global $gCfg;
				$cfg = ($socket and isset($gCfg[$socket])) ? $gCfg[$socket] : $gCfg['database'];
			}
			$controller = $cfg['controller'];
			$instance = __CLASS__.CS.$controller;
			$instance = new $instance($cfg);
		}

		if (!$socket and !$main) $main = $instance;
		elseif ($socket and !isset($ext[$socket])) $ext[$socket] = $instance;

		return $instance;
	}


}
